Class | Kwalify::SyntaxError
In: | kwalify/errors.rb
Parent: | BaseError

syntax error for YAML and JSON

### Methods

message new

### Public Class methods

new(msg, linenum=nil, error_symbol=nil)

[Source]

    # File kwalify/errors.rb, line 76
        def initialize(msg, linenum=nil, error_symbol=nil)
          super(linenum ? "line #{linenum}: #{msg}" : msg)
          @linenum = linenum
          @error_symbol = error_symbol
        end

### Public Instance methods

message()

attr_accessor :linenum, :error_symbol

[Source]

    # File kwalify/errors.rb, line 82
        def message
          "file: #{@filename}, line #{@linenum}: #{super}"
        end

[Validate]